﻿using CSHTML5;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ReactCshtml5Integration
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.Loaded += MainPage_Loaded;
        }

        async void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            await ReactScriptsHelper.InitializeReact();

            // Load the sample React script:
            ReactScriptsHelper.LoadReactScript(@"ms-appx:///ReactCshtml5Integration/SampleReactScript.js"); // Note: this is in the form "ms-appx:///AssemblyName/Folder/FileName.js"
        }

        void ButtonCallReactScript_Click(object sender, RoutedEventArgs e)
        {
            if (!Interop.IsRunningInTheSimulator)
            {
                string name = TextBox1.Text;
                string idOfDiv = "id01";
                try
                {
                    Interop.ExecuteJavaScript("LoadText($0, $1)", idOfDiv, name);
                }
                catch
                {
                    MessageBox.Show(@"There was an error with React integration. Please look for details in the browser console window. If you see errors related to CORS, please be sure that the URL of this page begins with ""http:"" (or ""https:"") instead of ""file:"".");
                    throw;
                }
            }
            else
                MessageBox.Show(@"To use React, please wait for the compilation to complete, then check the option 'Use http://localhost', and click 'Run in browser'.");
        }
    }
}
